# Command Guide

### Introduction

This Command Reference Guide provides complete descriptions of all NetCon commands. Included are the command names, synopsis, description, options, usage, files and examples. This section is provided for information only all necessary user, administration and configuration functions should be preformed through the "netcon" menu utility.

## ncapture.exe

Name

ncapture - DOS/WINDOWS network printer redirector.

Synopsis

ncapture [Server=server] [Queue=queue] [Lpt=1|2|3] ncapture SHow ncapture Off[=1|2|3|ALL] ncapture [Lpt=1|2|3] Timeout=0-1000 seconds (off: T=0)

Description

Ncapture is a DOS/WINDOWS utility that redirects the local printers "LPT1:", "LPT2:" or "LPT3:" to any UNIX print spooler on the NetCon server specified. The UNIX print spoolers are automatically set-up as network print queues during start-up of the NetCon Super-Server. The NetCon print queues are compatible with NetWare print queues. You must be logged into the specified NetCon server with "nclogin.exe" before using "ncapture" or you will be prompted for a login and password.

Options

Server= or S= NetCon server name.

Queue= or Q= Unix Spooler name.

SHow Displays current status.

OFF[1|2|3|ALL] Turns off printer redirection.

Timeout= Sets forced printing timeout in seconds.

Usage

         C:> ncapture s=netcon q=p1
         C:> ncapture t=10
         C:> ncapture SH
         C:> ncapture off

Files

"/sys/public/ncapture.exe", "/usr/lib/netcon/ncapture.exe"

See Also

"nclogin.exe"

## nclogin.exe

Name

nclogin - DOS/WINDOWS NetCon file server login utility

nclogout - DOS/WINDOWS NetCon file server logout utility.

Synopsis

nclogin [server_name]/[login_name] [password]

nclogout

Description

THIS UTILITY ONLY FUNCTIONAL ON STAND-ALONE SYSTEMS. Nclogin is a DOS/WINDOWS utility used to login to the default or specified NetCon server. If you do not specify a NetCon server name, login_name or password you will be attached to the default server and prompted for a login and password. The login_name and password must be a valid UNIX login and password. You must change to your DEFAULT network drive before using nclogin.

Options

server_name NetCon server name.

login_name Valid UNIX user name.

password Valid UNIX password.

Usage

         C:> j:
         J:> nclogin netcon/root password
         J:> nclogin
         J:> nclogout

Files

"/sys/public/nclogin.exe", "usr/lib/netcon/nclogin.exe"

See Also

None

Bugs

In order to maintain UNIX security on each connection you cannot log back in to the NetCon server after you use nclogout. You must reboot the DOS P/C to establish a fresh connection.

## ncmap.exe

Name

ncmap - DOS/WINDOWS network drive mapper

Synopsis

ncmap [D:=server_name/volume:\directory]

ncmap [del D: [D:...]]

Description

The ncmap DOS/WINDOWS utility maps local drive letters A: to Z: to NetCon UNIX volumes and directories specified in the "/usr/lib/netcon/netcexport" file. You should specify a "LASTDRIVE=I" in your "config.sys" file to avoid any conflicts with other networking software. If you are not logged into the specified NetCon server you will be prompted for a valid UNIX login and password.

Options

D:= Any valid DOS drive letter (A:= to Z:=).

server_name Valid NetCon server name.

/volume: Valid NetCon volume from "netcexport".

\directory Valid UNIX sub-directory below specified "/volume".

del D: Delete mapping of drive letter.

Usage

         C:> ncmap k:=netcon/sys:\public
         C:> ncmap del k:
         C:> ncmap

Files

"/sys/public/ncmap.exe", "/usr/lib/netcon/netcexport",

See Also

ncslist.exe, nclogin.exe

Bugs

None

## ncslist.exe

Name

ncslist.exe - DOS/WINDOWS network servers listing

Synopsis

ncslist

Description

The ncslist DOS/WINDOWS utility lists all the NetCon and NetWare server names on the network. This ulility is used to obtain valid NetCon server name for use with "ncterm", "ncmap", "nclogin" and "ncapture".

Options

NONE

Usage

         C:> ncslist

Files

"/sys/public/ncslist.exe", /usr/lib/netcon/ncslist.exe"

See Also

ncmap.exe, nclogin.exe, ncterm.exe, ncapture.exe

Bugs

None

## ncterm.exe

Name

ncterm.exe - MS-DOS/WINDOWS MultiScreen ANSI network terminal emulation program.

Syntax

ncterm [options] [host [ /login_name password]]

Description

NCTERM.EXE is a MultiScreen network virtual terminal emulation program for MS-DOS and WINDOWS machines. It allows DOS/WINDOWS P/C's to login to a UNIX host running NetCon software. NCTERM.EXE emulates both vt100 and ANSI terminals. The ANSI emulation provides the same functionality as an SCO console. NCTERM.EXE utilizes SPX protocols which require that the "LSL", "IPXODI" and "NETX" drivers be loaded on the DOS machine prior to running NCTERM.EXE. NCTERM.EXE also supports the SCO extensions setkey(C), setcolor(C), keyboard(HW), screen(HW) and multiscreen(M). The functionality of the SCO extension setkey (C) is provided through the NetCon command netcsetkey (1).

Ncterm includes limited mouse support in a manner similar to the SCO usemouse (C) command. A mouse configuration file using the same syntax (see usemouse (C)) is supplied on the ncterm command line. Also, a DOS mouse driver must be loaded before starting ncterm. It is not recommended that the mouse be used with ncterm when running ncterm under Windows.

To Load LSL, IPXODI and NETX drivers add the following lines to your DOS/WINDOWS "AUTOEXEC.BAT" file, or you can load them manually from the DOS command prompt.

         C:> LSL
         C:> NE2000   (substitute your driver here)
         C:> IPXODI
         C:> NETX   or VLM

OPTIONS

"-?" Display the ncterm usage message.

"-v" Display the ncterm version.

"-1" Start ncterm in single-screen mode. Multi-screens a

are disabled.

-e emulation Specify the startup emulation of ANSI, VT100, or NONE. The default is ANSI.

-m filename Specify a mouse configuration file. The mouse will operate in ANSI emulation mode only. Due to limitations in the DOS mouse driver, only 2 buttons on the mouse are supported. A DOS mouse driver must be loaded before starting ncterm. The contents of the mouse configuration file must conform to the syntax shown on the SCO usemouse (C) manual page.

The NCTERM.EXE program is executed from a DOS command prompt.

          C: > NCTERM  [NETCON_SERVER_NAME[ /login_name password] ]<cr>

If the server name is specified, ncterm will attempt to connect to the server and you will be presented with a login prompt. If a login name and password are also supplied, you will be logged in. If ncterm is started without a server name, you will be presented with the following screen.

    ***     NetCon Virtual Terminal Version 6.0        ***

                   NCTERM

    <T>erminal Mode               Call <D>os
    <E>mulation ansi          <H>ang-up
    <C>apture OFF               <Q>uit

    ENTER LETTER:

Menu Functions:

Type the single letter enclosed in <> for the desired function.

(C) Turn ON-OFF capture of screen output to file.

When capture is turned on you will be prompted for a valid file-name.

Enter Capture-Filename: [ ]

Enter a valid file-name and press (cr). Capture will automatically be turned ON. To turn off capture type (Ctrl)+(Home) from the terminal screen, then "C" and capture will be turned OFF.

(T) Enters Terminal mode.

If you are already connected to a NetCon server the terminal screen is displayed. If you are not connected to a server you will be prompted for a valid NetCon server-name.

Enter Server-Name: [ ]

Enter a valid server-name and press <cr> you will then be presented with a terminal screen and prompted for a login:.

(E) Emulation toggles between ansi, vt100, none.

(D) Call DOS command.com. Type "exit" to return to ncterm.

(H) Hang-up from the NetCon server (same as (Alt+H) in terminal mode).

(Q) Quit ncterm, terminating any sessions and returns to DOS.

The following commands are available when in terminal mode.

(Ctrl) + (Home) displays the NCTERM menu in terminal mode

(Ctrl) + (Print Screen) Toggle LPT1: printing on/off. When on, subsequent screen output is simultaneously sent to the LPT1 printer. Press (Ctrl) + (PrintScreen) again to turn off printing.

(Alt) + H Hang up. This multi-screen connection is terminated and the server-name prompt is displayed.

Example Display From "netconfig str0"

str0: flags=63<UP, BROADCAST, NOTRAILERS, RUNNING>ns 1H.8001A05A3E5

(Alt) + M Toggle mouse on/off. This command has no effect unless a mouse driver is loaded and ncterm was started with a mouse configuration file.

(Alt) + 1 or 2 or 3 Switch to multi-screen 1, 2, or 3.

(Alt) + Q All multi-screen connections are terminated and ncterm quits back to the DOS prompt or to Windows.

You can print to a Local printer Attached to a DOS PC running NCTERM.EXE instead of displaying the data. From the terminal screen on the DOS PC execute the following.

         echo "\033[4i"      ; turn on printing
         cat <filename>      ; send file to printer
         echo "\033[5i"      ; turn off printing

NCTERM will print the file <filename> on the local printer. These commands can be put into a shell script or used in the output section of a printer interface.

Ncterm can display 132 columns on a PC equiped with a VESA display adapter. To change to 132-column display mode:

echo "\033[?3h" ; display up to 132 characters per line.

echo "\033[?3l" ; change back to 80-column display.

Usage

ncterm [-?]

ncterm [-v]

ncterm [-1] [-e emulation] [-m mouse_configuration_file] [server-name[/login_name password]]

Emulation is one of the following: ansi, vt100, or none. In terminal mode:

    (Alt+1) MultiScreen 1
    (Alt+2) MultiScreen 2
    (Alt+3) MultiScreen 3
    (Alt+H) Hangup current session.
    (Alt+M) Toggle mouse on/off.
    (Alt+Q) Hangup all sessions and quit.

Files

lsl.com, ipxodi.com, netx.com

See Also

screen(HW), keyboard(HW), multiscreen(M), setcolor(C), setkey(C), usemouse(C)

## netcconfig

Name

netcconfig - Configures Netware socket

Synopsis

netcconfig device [type]['network_number'][up/down][flags]

Description

The netcconfig command configures the IPX socket for the Network. This command is run automatically by "/usr/bin/netcon.rc". The command may be executed at any time with the "device" argument and it will display the current configuration.

Options

device On SUN "nit0" SCO "str0" socket/streams interface.

type Always "ns" for XEROX NETWORK SYSTEM

'network_number' The network number is always "X0".

up/down Start/Stop

flags Always -trailers

Usage

`netcconfig nit0 ns "XO" up -trailers`

`netcconfig str0 ns "X0" up -trailers`

Files

"/dev/netcon", "/dev/nit0"

See Also

None

## netclink

Name

netclink - netcon Streams linker

Synopsis

netclink [drivers] [interface]

Description

Netclink is used to specify the configuration of the network IPX protocol stack and hardware driver. This command is executed by the NetCon start-up script "/usr/bin/netcon.rc". On SCO UNIX/ODT the driver is an SCO LLI 3.10g supporting both 802.3 and TYPEII Ethernet.

Options

drivers Any SCO LLI 3.10g or later driver on Sun "/dev/nit0"

interface /dev/str_ether2 - TYPE II Ethernet 8137 econfig format

/dev/str_ether - 802.3 packet format STD NetWare format

/dev/str_token - Token-Ring interface

Usage

`netclink /dev/wdn0 /dev/str_ether2`

Files

/usr/bin/netcon.rc

See Also

None

Bugs

None

## netcload

Name

netcload - AIX kernel module loader for NetCon.

Synopsis

netcload [-c] [-u] [-e /dev/ent0 - 1] Called from "/usr/bin/netcon.rc"

Description

Load kernel modules for NetCon for Ethernet 8137 or Novell Standard non-standard 802.3. Netcload is normally executed by netcon.rc at system boot time.

Usage

netcload -c -e /dev/ent0 To load with Novell standard 802.3

netcload -c For TYPEII Ethernet 8137

netcload -u To unload (must reboot to reload)

Options

None

Files

/usr/bin/netcon.rc /usr/bin/netcload

See Also

netcon.rc (1), netcload (1).

Bugs

IBM will not allow modules with a file system to unload. You must reboot to reload.

## netcmount

Name

netcmount - Mounts a Netware file system as a UNIX file system

Synopsis

netcmount netcmount SERVER-NAME:VOLUME: DIRECTORY mount_directory [-r]

Description

Netcmount mounts a Netware file system or a remote UNIX file system (with NetCon installed on it) as a local UNIX file system. The file system so mounted may be unmounted with the standard UNIX umount command.

If a default NetWare-server user and password have not yet been assigned, netcmount will prompt for a valid NetWare user name and password. Supply an existing NetWare user name and password to these prompts or the mount will fail. The password is not displayed on the screen as it is typed. The network user must have a password.

Options

Server-Name Specifies the name of the Netware Server followed by a colon (:).

Volume Specifies the NetWare VOLUME to be mounted followed by a colon (:).

Directory Specifies the NetWare Servers volume directory path to be mounted. Use the normal UNIX directory delimiter, the forward slash (/). The UNIX user must have trustee rights to use this directory and be properly mapped with the netcon administration menu utility.

mount_directory Specifies the local UNIX directory upon which the NetWare Server file system is to be mounted.

-r Specifies the named directory as read only.

Usage

/usr/bin/netcmount NETWARE:SYS:/ /netware

## netcmount

Files

/usr/lib/netcon/netcobj.dat

/usr/lib/netcon/netcprop.dat

See Also

mount, umount, netcpass and the System Administrator Guide and the NetCon Menu utility for details on mapping Unix users to NetWare users.

Bugs None

## netcon.rc

Name

netcon.rc - NetCon Network startup file

Synopsis

netcon.rc [start/stop]

Description

Network start up file called during boot by /etc/rc.local or /etc/rc2.d/S90netcon file. This script is executed automatically during start-up and shutdown and CANNOT be executed manually.

Options

start Starts the Network

stop Stops the Network

Usage

`netcon.rc start`

Files

All files in /usr/lib/netcon are affected.

See Also

None

Bugs

None

    File Layout
    :
    #
    #     Copyright 1995 NetCon Corporation
    #     All Rights Reserved
    #
    #     NetCon start/stop script
    #     Usage: netcon [ start | stop ]
    #
    INTERNAL_NET_NUMBER=aaff
    PROCS="netcpass netcconfig netclink netcnblink netcvt"

    PATH=/bin:/usr/bin:/etc:/usr/etc:/usr/local/bin:/usr/lib/netcon:
    case "$1" in
    start)
         set `who -r`
         if [ $9 != "S" ]; then
              exit 0
         fi
            echo "Starting NetConMT Network Client and Server,           Release 6.0"
            echo "Copyright (c) 1986, 1995 NetCon Corp."
          echo "Copyright (c) 1984, 1989 Regents of the                     University of California."
         echo "All rights reserved."
         /usr/bin/netclink /dev/wdn0 /dev/str_ether2 &
         echo "netclink \c"
         cd /usr/bin
         /usr/bin/netcconfig str0 ns `X0' up -trailers
         /usr/bin/netcpass -f &
         echo "netcpass"
         /usr/bin/netcconfig str0
         sleep 2
         #
    Start NetCon Server, Terminal Servers and ADV protocol here
         cd /usr/bin
         su root -c "/usr/bin/netcserv > /dev/null 2>&1 &"
         echo "netcserv \c"
         su root -c "/usr/bin/netcvt > /dev/null 2>&1 &"
         echo "netcvt \c"
         sleep3

         # Stick NetWare file mounts here
         ###mount
         /usr/bin/netcmount NETWARE:SYS: / /netware &
         echo ""
         ;;
    stop)
         echo  "NetCon Shutdown..."
         #
         # Find all the daemons
         #
         PX=""
         OR=""
         for P in $PROCS
         do
              PX="$PX$OR$P"
              OR="|"
         done
         PX="/$PX/"
         /bin/su - root -c "/bin/ps -e" 2>/dev/null | \
              /usr/bin/awk "$PX { print \"kill \" \$1 }"           | /bin/sh
         /usr/bin/netcrestart -s
         echo "NetCon Shutdown Complete."
         ;;
    *)
         echo "Usage: $0 [start | stop]"
         exit 1
         ;;
    esac

## netcterm

Name

netcterm - UNIX to UNIX network virtual terminal emulator.

Synopsis

netcterm [SERVER_NAME]

Description

Netcterm is used to login to another NetCon server on the network from a UNIX system running NetCon. Netcterm reads from the standard input (normally the keyboard) and writes to the network (the remote NetCon server). Netcterm also reads from the network and writes to the standard output. The current terminal set-up remains in effect. The term type should be set up prior to the login to the remote NetCon server.

Options

[Server_name] Specifies the remote NetCon server name to login to.

Usage

netcterm SUN

Files

None

See Also

None

Bugs

None

## ncpr

Name

ncpr - UNIX shell script to set up the UNIX spooler to print to NetWare

Synopsis

/usr/lib/netcon/ncpr

Description

Ncpr is used to set the UNIX print spooler to print to a NetWare or NetCon server and print queue. The script prompts you for the new printer name, server name and queue name; then sets up a UNIX print spooler. See the system administration guide for details.

Usage

/usr/lib/netcon/ncpr

Files

/usr/spool/lp/model/NC

/etc/printcap

/usr/lib/netcon/printcap.sun

See Also

netcprint

Bugs

None

## netcorasql

Name

netcorasql - Provides SPX protocol support for ORACLE7 Servers with SQL*Net TCP(V1).

Synopsis

netcorasql [ -s oracle_server_name -p tcp_port -i ipx_port# -b send_buffer_size -d]

Description

Netcorasql provides SPX protocol support to existing ORACLE7 Servers running over TCP/IP with ORACLE SQL*Net TCP (V1). Thus allowing connections from WINDOW's workstations running ORACLE SQL*Net SPX Version 1.1 and 2.1 for Windows with ODBC drivers. The netcorasql daemon once started listens for connection requests on SPX port number 0x83fa by default, the NetCon Server "netcserv" broadcasts SAP's (Service Advertising Protocol) packets and maintains a bindery entry for Server type 0x0103 (ORACLE7 Server) on SPX port 0x83fa. If the port number must be changed it must be changed for both "netcserv" and "netcorasql". The default values for oracle_server_name, tcp_port, ipx_port and send_buffer_size should never be changed under normal conditions. The oracle_server_name [orasrv] is used to determine the TCP/IP port number with a call to getservbyname("orasrv"). When "netcorasql" receives a connection request it connects to the ORACLE7 server via this TCP/IP port number, routing all incoming SPX packets to ORACLE7 server and outgoing packet from the ORACLE7 Server to SPX.

Options

[ -s oracle_server_name] ORACLE SQL*Net TCP/IP server process, default [orasrv].

[ -p tcp_port] Derived from "oracle_server_name", default [0].

[ -i ipx_port#] SPX listen port must match "netcserv", default [0x83fa]

[ -b send_buffer_size] Normally Set by Client to the default[534] to honor the OLD 576 byte IPX/SPX routing limit. [ -d] Turns on debugging (tracing)

Usage

# netcorasql (Return)

Files

/usr/bin/netcon.rc add netcorasql to startup script turn on SAP, netcserv

/etc/services should contain "orasrv 1525/tcp"

/usr/bin/netcserv provides SAP services.

ORACLE_HOME/bin/orasrv ORACLE SQL*Net Server

/etc/orattab ORACLE_SID

See Also

netcserv, netcon.rc

Requirements

Windows 3.1: Oracle SQL*Net SPX for Windows Version 1.1, ORACLE7 ODBC Driver.

Solaris 2.x: ORACLE7 server install with the following options;

ORACLE7 Server (RDBMS).

Distributed Database option.

Procedural Option (PL/SQL V2).

TCP/IP Protocol Adapter (V2).

Multi-Protocol Interchange.

SQL*Net TCP (V1).

MTS (Multi-Threaded Server) must NOT be configured at this time. Answer NO to the question "Would you like MTS (Multi-Threaded Server) configured and the SQL*Net Listener automatically started" during ORACLE7 installation.

The ORACLE7 database must be started, mounted and "orasrv" must be running.

## netcpasswd

Name

netcpasswd - Change bindery password

Synopsis

netcpasswd [-d] [network_server] [network_login_name]

netcpasswd [-d] [unix_login_name]

Description

Netcpasswd performs two different functions. In both cases it is used to change NetCon user passwords stored in the NetCon bindery. Two different types of passwords are stored in the bindery. One type is used to log a mapped unix user into a mounted server. See netcmount (1). The second type is the password a NetCon client uses to log into the NetCon server. Netcpasswd is used to change either type of password, depending on the invocation.

To change a mapped user's password, you must provide the name of the server and the user's login name for that server on the command line when netcpasswd is invoked. For example:

$ netcpasswd NETWARE SUPERVISOR

This command would be used to change the password used to login as user SUPERVISOR on a server named NETWARE. The mapping for this user must exist; that is, the MAPPED_USER property that maps NETWARE user SUPERVISOR to a valid unix user must be present in the bindery. If this mapping is not found, netcpasswd will terminate with the message:

Network user SUPERVISOR not found.

Netcpasswd will also fail if you are not the superuser and your unix login name does not match the unix login name mapped to this network user.

If there is an old password and you are not the superuser, you will be prompted to enter the old password first. In any event, you will then be prompted to enter the new password twice. This password permits a mapped unix user to access a mounted NetWare or NetCon server as the mapped user rather than as the default user.

Users must be mapped to maintain file access security permissions. The NetCon administration program is used to map the user to the server. Because the password may be assigned at that time, netcpasswd is primarily used to change the password at a later time.

The second purpose of netcpasswd is to add or change a client's password. Clients wishing to login to a NetCon server must have a password stored in the PASSWORD property in the bindery. The second form of the netcpasswd command is used to change this password. A valid unix user's login name may be supplied on the command line. If no login name is given, it defaults to the current login name. Only the superuser can change the password for login names other than his own. The netcon administration program may also be used to add or change the password.

Options

The only option, -d, may be used to display progress information as the program executes.

Files

/usr/lib/netcon/netcobj.dat

/usr/lib/netcon/netcprop.dat

See Also

netcmount (1), NetCon Administrator's Guide for user mapping information.